List projects
curl --request GET \
--url https://api.braintrust.dev/v1/project \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.braintrust.dev/v1/project"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.braintrust.dev/v1/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.braintrust.dev/v1/project",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.braintrust.dev/v1/project"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.braintrust.dev/v1/project")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.braintrust.dev/v1/project")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"comparison_key": "<string>",
"baseline_experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spanFieldOrder": [
{
"object_type": "<string>",
"column_id": "<string>",
"position": "<string>",
"layout": "full"
}
],
"remote_eval_sources": [
{
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"disable_realtime_queries": true,
"monitor_charts_use_metrics_start": true,
"coding_agent_insights_dashboard": true,
"blind_reviews": true,
"require_all_human_review_scores": true,
"user_id_fields": [
[
"<string>"
]
],
"pattern_alert_mention": {
"workspace_id": "<string>",
"mention_user_id": "<string>",
"mention_handle": "<string>",
"mention_prompt": "<string>"
},
"pattern_alert_destinations": [
{
"type": "webhook",
"url": "<string>",
"formatting_prompt": "<string>"
}
],
"session_id_fields": [
[
"<string>"
]
],
"default_preprocessor": {
"type": "function",
"id": "<string>",
"version": "<string>"
}
}
}
]
}<string><string><string><string><string>Projects
List projects
List out all projects. The projects are sorted by creation date, with the most recently-created projects coming first
GET
/
v1
/
project
List projects
curl --request GET \
--url https://api.braintrust.dev/v1/project \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.braintrust.dev/v1/project"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.braintrust.dev/v1/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.braintrust.dev/v1/project",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.braintrust.dev/v1/project"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.braintrust.dev/v1/project")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.braintrust.dev/v1/project")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"comparison_key": "<string>",
"baseline_experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spanFieldOrder": [
{
"object_type": "<string>",
"column_id": "<string>",
"position": "<string>",
"layout": "full"
}
],
"remote_eval_sources": [
{
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"disable_realtime_queries": true,
"monitor_charts_use_metrics_start": true,
"coding_agent_insights_dashboard": true,
"blind_reviews": true,
"require_all_human_review_scores": true,
"user_id_fields": [
[
"<string>"
]
],
"pattern_alert_mention": {
"workspace_id": "<string>",
"mention_user_id": "<string>",
"mention_handle": "<string>",
"mention_prompt": "<string>"
},
"pattern_alert_destinations": [
{
"type": "webhook",
"url": "<string>",
"formatting_prompt": "<string>"
}
],
"session_id_fields": [
[
"<string>"
]
],
"default_preprocessor": {
"type": "function",
"id": "<string>",
"version": "<string>"
}
}
}
]
}<string><string><string><string><string>Authorizations
Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.
Query Parameters
Was this page helpful?